%define name	gsensors
%define version	0.9c
%define release 5mdk

Name: 	 	%{name}
Summary: 	GNOME2 panel applet for hardware sensors
Version: 	%{version}
Release: 	%{release}

Source:		gnome-sensors.tar.bz2
Source1:	gsensors.png
Patch:		gnome-sensors.c-clean-include.patch.bz2
Patch1:		GNOME_GSensors.server-icon.patch.bz2
URL:		http://www.vkcorp.org/gsensors/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgnomeui2-devel libpanel-applet-2-devel lm_sensors-devel
Provides:	gnome-sensors

%description
This is a GNOME2 applet that displays your hardware sensors (fan speed,
temperature, voltage ...) status and can warn you and log if a sensor goes
out of a specified range.

%prep
%setup -q -n gnome-sensors-%version
%patch
%patch1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%name
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jan 16 2004 Austin Acton <austin@mandrake.org> 0.9c-5mdk
- lm_sensors3
- remove majors from buildrequires

* Sun Aug 17 2003 Olivier Blin <oliv.blin@laposte.net> 0.9c-4mdk
- really really rebuild for new lm_sensors
  (remove already build gsensors.o in tarball ...)
- do not include <linux/sensors.h> to be able to build gsensors.o
  (thanks to J.A. Magallon <jamagallon@able.es>)
- add an icon (stolen from hot-applet package)

* Sun Aug 17 2003 Olivier Blin <oliv.blin@laposte.net> 0.9c-3mdk
- really rebuild for new lm_sensors
  (remove already build gsensors in tarball ...)
- buildrequire liblm_sensors2-devel instead of liblm_sensors-devel

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9c-2mdk
- rebuild for new lm_sensors

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.9c-1mdk
- new version

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.9a-1mdk
- initial package
